กลุ่มเอนด์พอยต์
API ให้บริการผ่านเกตเวย์เดียว (api.rolchat.com) ที่ส่งแต่ละกลุ่มพาธไปยังบริการที่เป็นเจ้าของ หน้านี้แสดงทุกกลุ่มที่เกตเวย์เปิดให้ลูกค้าใช้ จัดกลุ่มตามโมดูล ทุกกลุ่มใช้หลักการเดียวกัน - โครงสร้างการตอบกลับ การแบ่งหน้า idempotency รหัสข้อผิดพลาด - ตารางจึงบอกคุณว่าทรัพยากรอยู่ ที่ไหน และ การเรียกยืนยันตัวตนอย่างไร
พาธเป็นคำนำหน้า: /api/v1/contacts ครอบคลุม GET /contacts POST /contacts GET /contacts/:id PATCH /contacts/:id และอื่นๆ คำนำหน้าที่ยาวที่สุดจะชนะ กลุ่มย่อยสาธารณะอย่าง /kb/public จึงอยู่ใต้ /kb ที่ต้องยืนยันตัวตนได้
หมวดการยืนยันตัวตน
หัวข้อที่มีชื่อว่า “หมวดการยืนยันตัวตน”| หมวด | ใครเรียกได้ |
|---|---|
user | สมาชิกของบัญชี - JWT หรือคีย์ API ต้องมี X-Account-Id |
login | นิรนาม จำกัดการลงชื่อเข้าใช้อย่างเข้มงวด (10 ครั้งต่อ IP ต่อนาที) |
unauthenticated | นิรนาม |
widget | นิรนาม จำกัดขอบเขตตามคีย์ไซต์และต้นทาง (60 ครั้งต่อไซต์และ IP ต่อนาที) |
webhook-inbound | ผู้ส่งลงลายมือชื่อ - ดูเว็บฮุก |
partner | JWT ของพาร์ทเนอร์ (พอร์ทัลพาร์ทเนอร์) |
Auth & account
| คำนำหน้า | บริการ | หมวด |
|---|---|---|
/api/v1/auth | iam-service | login |
/api/v1/captcha | iam-service | unauthenticated |
/api/v1/me | iam-service | user |
/api/v1/accounts | iam-service | user |
/api/v1/account-settings | iam-service | user |
/api/v1/users | iam-service | user |
/api/v1/members | iam-service | user |
/api/v1/roles | iam-service | user |
/api/v1/tokens | iam-service | user |
/api/v1/staff-access-policy | iam-service | user |
/api/v1/staff-access-sessions | iam-service | user |
/api/v1/presence | iam-service | user |
/api/v1/workforce | iam-service | user |
/api/v1/sites | sites-service | user |
/api/v1/profile | profile-service | user |
/api/v1/teams | teams-service | user |
/api/v1/audit | audit-service | user |
Conversations & inbox
| คำนำหน้า | บริการ | หมวด |
|---|---|---|
/api/v1/conversations | conversation-service | user |
/api/v1/messages | conversation-service | user |
/api/v1/conversation-tags | conversation-service | user |
/api/v1/inboxes | conversation-service | user |
/api/v1/views | conversation-service | user |
/api/v1/templates | conversation-service | user |
/api/v1/chat-routing-rules | conversation-service | user |
/api/v1/macros | conversation-service | user |
/api/v1/chat-settings | conversation-service | user |
/api/v1/tasks | conversation-service | user |
CRM
| คำนำหน้า | บริการ | หมวด |
|---|---|---|
/api/v1/leads | crm-service | user |
/api/v1/contacts | crm-service | user |
/api/v1/companies | crm-service | user |
/api/v1/deals | crm-service | user |
/api/v1/pipelines | crm-service | user |
/api/v1/lead-statuses | crm-service | user |
/api/v1/contact-tags | crm-service | user |
/api/v1/segments | crm-service | user |
/api/v1/lead-routing-rules | crm-service | user |
/api/v1/crm-settings | crm-service | user |
/api/v1/crm/campaigns | crm-service | user |
/api/v1/custom-fields | meta-service | user |
Tickets
| คำนำหน้า | บริการ | หมวด |
|---|---|---|
/api/v1/tickets | ticket-service | user |
/api/v1/ticket-queues | ticket-service | user |
/api/v1/ticket-settings | ticket-service | user |
/api/v1/ticket-sla-policies | ticket-service | user |
/api/v1/ticket-custom-fields | ticket-service | user |
/api/v1/ticket-tags | ticket-service | user |
Channels & widget
| คำนำหน้า | บริการ | หมวด |
|---|---|---|
/api/v1/channels | channel-service | user |
/api/v1/widget-configs | channel-service | user |
/api/v1/widget | visitor-service | widget |
/api/v1/webhooks | channel-service | webhook-inbound |
Visitors
| คำนำหน้า | บริการ | หมวด |
|---|---|---|
/api/v1/visitors | visitor-service | user |
/api/v1/geo-source | visitor-service | user |
/api/v1/funnels | visitor-service | user |
Knowledge base
| คำนำหน้า | บริการ | หมวด |
|---|---|---|
/api/v1/kb | kb-service | user |
/api/v1/kb/public | kb-service | widget |
Marketing
| คำนำหน้า | บริการ | หมวด |
|---|---|---|
/api/v1/marketing | marketing-service | user |
/api/v1/marketing/public | marketing-service | widget |
/api/v1/surveys | marketing-service | user |
/api/v1/survey-responses | marketing-service | user |
/api/v1/meetings | marketing-service | user |
Phone
| คำนำหน้า | บริการ | หมวด |
|---|---|---|
/api/v1/phone/twilio | phone-service | webhook-inbound |
/api/v1/phone | phone-service | user |
Automation
| คำนำหน้า | บริการ | หมวด |
|---|---|---|
/api/v1/automation | automation-service | user |
Reports
| คำนำหน้า | บริการ | หมวด |
|---|---|---|
/api/v1/reports | analytics-service | user |
/api/v1/dashboards | analytics-service | user |
/api/v1/kpi | analytics-service | user |
Privacy & consent
| คำนำหน้า | บริการ | หมวด |
|---|---|---|
/api/v1/consent | privacy-service | widget |
/api/v1/privacy | privacy-service | user |
/api/v1/privacy/public | privacy-service | widget |
AI
| คำนำหน้า | บริการ | หมวด |
|---|---|---|
/api/v1/ai | plugin-service | user · หมดเวลา 60 วินาที |
/api/v1/ai/assistant/reply | plugin-service | webhook-inbound |
Notifications
| คำนำหน้า | บริการ | หมวด |
|---|---|---|
/api/v1/notifications-policy | notification-service | user |
/api/v1/notifications | notification-service | user |
/api/v1/notification-templates | notification-service | user |
/api/v1/notification-delivery-logs | notification-service | user |
/api/v1/push | notification-service | user |
Media
| คำนำหน้า | บริการ | หมวด |
|---|---|---|
/api/v1/media | media-service | user |
Billing
| คำนำหน้า | บริการ | หมวด |
|---|---|---|
/api/v1/billing | billing-service | user |
/api/v1/billing/webhooks/stripe | billing-service | webhook-inbound |
Partner portal
| คำนำหน้า | บริการ | หมวด |
|---|---|---|
/api/v1/partner | partner-portal-service | partner |
/api/v1/partner/auth | iam-service | login |
/api/v1/partner/invitations | partner-portal-service | login |
/api/v1/partner/auth/mfa/enroll | iam-service | partner |
/api/v1/partner/auth/mfa/confirm | iam-service | partner |
/api/v1/partner/auth/step-up | iam-service | partner |
/api/v1/r | partner-portal-service | widget |
Identity verification (KYC)
| คำนำหน้า | บริการ | หมวด |
|---|---|---|
/api/v1/kyc/webhooks/sumsub | kyc-service | webhook-inbound |
/api/v1/kyc/webhooks/didww | kyc-service | webhook-inbound |
/api/v1/kyc | kyc-service | user |
อื่นๆ
| คำนำหน้า | บริการ | หมวด |
|---|---|---|
/api/v1/auth/me | iam-service | user |
/api/v1/auth/sessions | iam-service | user |
/api/v1/auth/mfa | iam-service | user |
/api/v1/auth/email-change | iam-service | user |
/api/v1/auth/swap-company | iam-service | user |
/api/v1/privacy/policies | privacy-service | user |
/api/v1/compliance | privacy-service | user |
/api/v1/identity-graph | identity-graph-service | user |
รายการนี้มาจากไหน
หัวข้อที่มีชื่อว่า “รายการนี้มาจากไหน”ตารางนี้สร้างจากตารางเส้นทางของเกตเวย์ในรีโพซิทอรีแบ็กเอนด์ โดยเก็บสแนปช็อตไว้ในเว็บไซต์นี้ ก่อนการดีพลอยทุกครั้งจะมีการตรวจสอบเปรียบเทียบสแนปช็อตกับตารางเส้นทางปัจจุบัน จึงไม่สามารถเพิ่มหรือลบกลุ่มในผลิตภัณฑ์ได้โดยที่หน้านี้ไม่เปลี่ยน ไม่รวมเส้นทางภายในของคอนโซลพนักงาน เอกสาร OpenAPI ที่เครื่องอ่านได้อธิบายไว้ในหน้า OpenAPI